document.addEventListener('DOMContentLoaded', () => {
  const leaderboardData = [
    { rank: 1, name: 'Alice', score: 950 },
    { rank: 2, name: 'Bob', score: 890 },
    { rank: 3, name: 'Charlie', score: 850 },
    { rank: 4, name: 'Diana', score: 820 },
    { rank: 5, name: 'Eve', score: 800 }
  ];

  const leaderboardBody = document.querySelector('#leaderboard tbody');

  leaderboardData.forEach(entry => {
    const row = document.createElement('tr');
    row.innerHTML = `
      <td>${entry.rank}</td>
      <td>${entry.name}</td>
      <td>${entry.score}</td>
    `;
    leaderboardBody.appendChild(row);
  });
});